module.exports = {
    "plugins": {
        "autoprefixer": {},
        'postcss-pxtorem': {
            rootValue({ file }) {
                console.log('file', file);
                // 这里需要动态设置rootValue值，以达到同时适配vant-UI和设计稿
                // 适配vant-UI的设计稿尺寸是375 / 10 = 37.5
                // 适配项目设计稿尺寸是750 / 10 = 75
                // 这里是判断要处理的文件是否是vant组件库的文件，是的话就按375设计稿尺寸走，否则按你项目设计稿的尺寸走，你项目是750就写75，是640就写64，如此类推
                return file.includes('vant') ? 37.5 : 75
            },
            // rootValue: 75, // 75表示750设计稿，37.5表示375设计稿
            propList: ['*'],
            // selectorBlackList: ['van', '.van-']
        },
    },
}